Roadmap: use estimated time for calculating progress

2008-11-06 11:09 - Toni Kerschbaum

Status: Closed Start date: 2008-11-06

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

The progress for an item (version) is not calculated correctly.

Currently, the progress seems to be calculated by

number of closed tickets

------------------------- * 100 = progress [%]

number of tickets overall

 This is not really correct, since tickets (can) have an estimated time and should be weighted accordingly, e.g.

overall time of closed tickets

------------------------------ * 100 = progress [%]

 overall time of all tickets

 Of course, this concludes that every ticket has an estimated time entry.

Therefore estimated time has to be a mandatory field, or tickets without an estimated time would have to be excluded from the

calculation.

Nevertheless, I think this is a more correct ansatz for calculating the current progress of a project.

Related issues:

Related to Redmine - Feature #2182: Weighted version completion percentage Closed 2008-11-13

History

#1 - 2008-11-06 20:23 - Eric Davis

Toni Kerschbaum wrote:

The progress for an item (version) is not calculated correctly.

 I use a custom formula similar to this where progress is the weighted average of the estimated time.

Of course, this concludes that every ticket has an estimated time entry.

Therefore estimated time has to be a mandatory field, or tickets without an estimated time would have to be excluded from the calculation.

Nevertheless, I think this is a more correct ansatz for calculating the current progress of a project.

 I would disagree with forcing this conclusion.  Some projects don't use estiamted time but still need to show progress (redmine.org is a prime

example, open source projects are other examples).  Making this a system option (or even a project option) might work:

Use issue count for progress

Use issue time estimates for progress

#2 - 2008-11-08 12:00 - Toni Kerschbaum

Eric Davis wrote:

I use a custom formula similar to this where progress is the weighted average of the estimated time.

 Could you please post your formula and describe implementation? Is there a patch for this?

I would disagree with forcing this conclusion.  Some projects don't use estiamted time but still need to show progress (redmine.org is a prime

example, open source projects are other examples).  Making this a system option (or even a project option) might work:
Use issue count for progress

Use issue time estimates for progress

 I had that idea too, but somehow forgot to mention that ;) It would make for a nice and clean solution, I think!

#3 - 2008-11-08 16:58 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#4 - 2008-11-08 16:59 - Jean-Philippe Lang

- Subject changed from Roadmap: Progress is calculated incorrectly to Roadmap: use estimated for calculating progress

#5 - 2008-11-08 16:59 - Jean-Philippe Lang

- Subject changed from Roadmap: use estimated for calculating progress to Roadmap: use estimated time for calculating progress

#6 - 2008-11-13 22:25 - Eric Davis

I just posted the formula I use to issue 2182

#7 - 2009-11-23 00:03 - Mischa The Evil

- Category changed from Time tracking to Roadmap

Toni Kerschbaum wrote:

[...]

 Toni, can you let us know if the changes for issue #2182 in r2349 suffice your initial issue? Ifso, please resolve this issue upon it can be closed...

#8 - 2009-11-23 00:40 - Toni Kerschbaum

- Status changed from New to Resolved

- % Done changed from 0 to 100

Yes, they do. Thanks for your support!

#9 - 2009-11-23 01:31 - Mischa The Evil

- Status changed from Resolved to Closed

- Resolution set to Fixed

Fixed in current trunk (which will become version 0.9.0) for related issue #2182.
